﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraGridExcelExportTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            ViewModel vm = new ViewModel();
            ultraGrid1.DataSource = vm.Data;
            ultraGrid1.DataBind();
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            Stopwatch watch = new Stopwatch();
            watch.Start();

            ultraGridExcelExporter1.ExportFormattingOptions = Infragistics.Win.UltraWinGrid.ExcelExport.ExportFormattingOptions.None;            
            ultraGridExcelExporter1.Export(ultraGrid1, "file.xlsx", Infragistics.Documents.Excel.WorkbookFormat.Excel2007);

            watch.Stop();
            System.Diagnostics.Debug.WriteLine(watch.ElapsedMilliseconds);
        }
    }
}
